$color_1: #666666;
$color_2: #7f7f7f;
$color_3: #5fc7ae;
$color_4: #5FC7AE;
$color_5: #fff;
$font-family_1: 'Montserrat', sans-serif;
$font-family_2: 'Lato', sans-serif;

.slider-area {
  position: relative;
  overflow: hidden;
  height: 100%;
  img {
    width: 100%;
    width: 100%;
  }
  .owl-item.active {
    .slider-content {
      h5 {
        -webkit-animation: 1000ms ease-in-out 0s normal both 1 running fadeInUp;
        animation: 1000ms ease-in-out 0s normal both 1 running fadeInUp;
        -webkit-animation-delay: 600ms;
        animation-delay: 600ms;
      }
      h3 {
        -webkit-animation: 1000ms ease-in-out 0s normal both 1 running fadeInUp;
        animation: 1000ms ease-in-out 0s normal both 1 running fadeInUp;
        -webkit-animation-delay: 1400ms;
        animation-delay: 1400ms;
      }
      h1 {
        -webkit-animation: 1000ms ease-in-out 0s normal both 1 running fadeInUp;
        animation: 1000ms ease-in-out 0s normal both 1 running fadeInUp;
        -webkit-animation-delay: 800ms;
        animation-delay: 800ms;
      }
      p {
        -webkit-animation: 1000ms ease-in-out 0s normal both 1 running fadeInUp;
        animation: 1000ms ease-in-out 0s normal both 1 running fadeInUp;
        -webkit-animation-delay: 1000ms;
        animation-delay: 1000ms;
      }
      .banner-btn {
        -webkit-animation: 1000ms ease-in-out 0s normal both 1 running fadeInUp;
        animation: 1000ms ease-in-out 0s normal both 1 running fadeInUp;
        -webkit-animation-delay: 1500ms;
        animation-delay: 1500ms;
      }
    }
  }
  &:hover {
    .owl-nav {
      div {
        left: 0;
      }
      .owl-next {
        left: auto;
        right: 0;
      }
    }
  }
}
.slider-content {
  height: 100%;
  z-index: 99;
  position: relative;
  .container {
    height: 100%;
  }
  .row {
    height: 100%;
  }
  .col-lg-7 {
    height: 100%;
  }
  .text-content-wrapper {
    height: 100%;
    display: table;
  }
  .text-content {
    height: 100%;
    display: table-cell;
    vertical-align: middle;
  }
  .display-table {
    height: 100%;
  }
  .display-table-cell {
    height: 100%;
  }
  h5 {
    font-size: 16px;
    color: $color_2;
    font-family: $font-family_1;
    letter-spacing: 3px;
    font-weight: 400;
    margin-bottom: 8px;
  }
  h1 {
    color: $color_1;
    font-size: 36px;
    margin-bottom: 20px;
    font-family: $font-family_1;
    font-weight: 700;
    span {
      color: $color_3;
    }
  }
  p {
    color: $color_2;
    font-size: 16px;
    margin-bottom: 32px;
    font-family: $font-family_2;
  }
}
.single-slide {
  height: 100%;
  background-position: top center;
  background-size: cover;
}
.owl-item {
  height: 100%;
}
.owl-stage {
  height: 100%;
}
.slider-wrapper {
  height: 100%;
}
.owl-stage-outer {
  height: 100%;
}
.text-content-wrapper {
  width: 100%;
}
.banner-btn {
  background: transparent;
  color: $color_1;
  display: inline-block;
  border: 1px solid #5FC7AE;
  font-size: 14px;
  font-family: $font-family_1;
  font-weight: 600;
  line-height: 36px;
  overflow: hidden;
  padding: 0 30px;
  border-radius: 25px;
  position: relative;
  text-align: center;
  text-transform: uppercase;
  -webkit-transition: all 0.5s ease 0s;
  transition: all 0.5s ease 0s;
  &::after {
    content: attr(data-text);
    height: 100%;
    left: 0;
    opacity: 0;
    position: absolute;
    top: 0;
    transform: translate(-30%, 0px);
    transition: all 0.3s ease 0s;
    width: 100%;
  }
  span {
    transition: all 0.3s ease 0s;
  }
  &:hover {
    background: rgba(95, 199, 174, 0.5);
    >span {
      opacity: 0;
      transform: translate(0px, 40px);
    }
    &::after {
      opacity: 1;
      transform: translate(0px, 0px);
    }
  }
}
.owl-nav {
  div {
    background: rgba(95, 199, 174, 0.4);
    color: $color_4;
    font-size: 30px;
    border-radius: 3px;
    height: 40px;
    left: -46px;
    line-height: 40px;
    margin-top: -20px;
    position: absolute;
    text-align: center;
    top: 50%;
    -webkit-transition: all 0.4s ease 0s;
    transition: all 0.4s ease 0s;
    width: 40px;
    z-index: 999;
    &:hover {
      background: rgba(95, 199, 174, 0.2);
      color: $color_5;
    }
  }
  .owl-next {
    left: auto;
    right: -46px;
  }
}
.one-page-arrow {
  border: 1px solid #5FC7AE;
  height: 32px;
  width: 16px;
  border-radius: 20px;
  position: absolute;
  margin-left: -4px;
  left: 50%;
  bottom: 20px;
  i {
    color: $color_1;
    font-size: 15px;
    margin-top: 15px;
    text-align: center;
  }
}
.animated.infinite {
  animation-iteration-count: infinite;
}
.fadeInDown {
  animation-name: fadeInDown;
}
.animated {
  animation-duration: 1s;
  animation-fill-mode: both;
  opacity: 1;
}